package com.ruoyi.system.domain;



import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;
import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 牵引头表 product_tractionhead
 *
 * @author ruoyi
 */

public class ProductTractionhead extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id", cellType = ColumnType.NUMERIC)
    private Long id;

    /** 产品id */
    @Excel(name = "产品id")

    private String productId;

    /** 品牌 */
    @Excel(name = "品牌")
    private String brand;

    /** 总质量 */
    @Excel(name = "总质量")

    private BigDecimal totalMass;

    /** 整备质量 */
    @Excel(name = "整备质量")

    private BigDecimal curbWeight;

    /** 外形尺寸(长) */
    @Excel(name = "外形尺寸(长)")

    private BigDecimal dimensionLength;

    /** 外形尺寸(宽) */
    @Excel(name = "外形尺寸(宽)")

    private BigDecimal dimensionWidth;

    /** 外形尺寸(高) */
    @Excel(name = "外形尺寸(高)")

    private BigDecimal dimensionHeight;

    /** 轴距(mm) */
    @Excel(name = "轴距(mm)")

    private BigDecimal wheelBase;

    /** 准拖挂车总质量(kg) */
    @Excel(name = "准拖挂车总质量(kg)")

    private BigDecimal maxTrailerMass;

    /** 半挂车鞍座最大允许载质量(kg) */
    @Excel(name = "半挂车鞍座最大允许载质量(kg)")

    private BigDecimal fifthWheelMaxLoad;

    /** 发动（电）机型号 */
    @Excel(name = "发动（电）机型号")

    private String engineModel;

    /** 发动（电）机生产厂家 */
    @Excel(name = "发动（电）机生产厂家")

    private String engineManufacturer;

    /** 牵引销规格 */
    @Excel(name = "牵引销规格")

    private BigDecimal kingpinSpec;

    /** 牵引座承载面离地高度(mm) */
    @Excel(name = "牵引座承载面离地高度(mm)")

    private BigDecimal fifthWheelGroundHeight;

    /** 挂牵引车前回转半径(mm) */
    @Excel(name = "挂牵引车前回转半径(mm)")

    private BigDecimal turningRadiusBefore;

    /** 与半挂牵引车匹配的半挂车前回转半径 */
    @Excel(name = "与半挂牵引车匹配的半挂车前回转半径")

    private BigDecimal matchedSemiTrailerRadius;

    /** 半挂牵引车后回转半径(mm) */
    @Excel(name = "半挂牵引车后回转半径(mm)")

    private BigDecimal rearTurningRadius;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getProductId()
    {
        return productId;
    }

    public void setProductId(String productId)
    {
        this.productId = productId;
    }

    public String getBrand()
    {
        return brand;
    }

    public void setBrand(String brand)
    {
        this.brand = brand;
    }

    public BigDecimal getTotalMass()
    {
        return totalMass;
    }

    public void setTotalMass(BigDecimal totalMass)
    {
        this.totalMass = totalMass;
    }

    public BigDecimal getCurbWeight()
    {
        return curbWeight;
    }

    public void setCurbWeight(BigDecimal curbWeight)
    {
        this.curbWeight = curbWeight;
    }

    public BigDecimal getDimensionLength()
    {
        return dimensionLength;
    }

    public void setDimensionLength(BigDecimal dimensionLength)
    {
        this.dimensionLength = dimensionLength;
    }

    public BigDecimal getDimensionWidth()
    {
        return dimensionWidth;
    }

    public void setDimensionWidth(BigDecimal dimensionWidth)
    {
        this.dimensionWidth = dimensionWidth;
    }

    public BigDecimal getDimensionHeight()
    {
        return dimensionHeight;
    }

    public void setDimensionHeight(BigDecimal dimensionHeight)
    {
        this.dimensionHeight = dimensionHeight;
    }

    public BigDecimal getWheelBase()
    {
        return wheelBase;
    }

    public void setWheelBase(BigDecimal wheelBase)
    {
        this.wheelBase = wheelBase;
    }

    public BigDecimal getMaxTrailerMass()
    {
        return maxTrailerMass;
    }

    public void setMaxTrailerMass(BigDecimal maxTrailerMass)
    {
        this.maxTrailerMass = maxTrailerMass;
    }

    public BigDecimal getFifthWheelMaxLoad()
    {
        return fifthWheelMaxLoad;
    }

    public void setFifthWheelMaxLoad(BigDecimal fifthWheelMaxLoad)
    {
        this.fifthWheelMaxLoad = fifthWheelMaxLoad;
    }

    public String getEngineModel()
    {
        return engineModel;
    }

    public void setEngineModel(String engineModel)
    {
        this.engineModel = engineModel;
    }

    public String getEngineManufacturer()
    {
        return engineManufacturer;
    }

    public void setEngineManufacturer(String engineManufacturer)
    {
        this.engineManufacturer = engineManufacturer;
    }

    public BigDecimal getKingpinSpec()
    {
        return kingpinSpec;
    }

    public void setKingpinSpec(BigDecimal kingpinSpec)
    {
        this.kingpinSpec = kingpinSpec;
    }

    public BigDecimal getFifthWheelGroundHeight()
    {
        return fifthWheelGroundHeight;
    }

    public void setFifthWheelGroundHeight(BigDecimal fifthWheelGroundHeight)
    {
        this.fifthWheelGroundHeight = fifthWheelGroundHeight;
    }

    public BigDecimal getTurningRadiusBefore()
    {
        return turningRadiusBefore;
    }

    public void setTurningRadiusBefore(BigDecimal turningRadiusBefore)
    {
        this.turningRadiusBefore = turningRadiusBefore;
    }

    public BigDecimal getMatchedSemiTrailerRadius()
    {
        return matchedSemiTrailerRadius;
    }

    public void setMatchedSemiTrailerRadius(BigDecimal matchedSemiTrailerRadius)
    {
        this.matchedSemiTrailerRadius = matchedSemiTrailerRadius;
    }

    public BigDecimal getRearTurningRadius()
    {
        return rearTurningRadius;
    }

    public void setRearTurningRadius(BigDecimal rearTurningRadius)
    {
        this.rearTurningRadius = rearTurningRadius;
    }

    @Override
    public String toString()
    {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("productId", getProductId())
            .append("brand", getBrand())
            .append("totalMass", getTotalMass())
            .append("curbWeight", getCurbWeight())
            .append("dimensionLength", getDimensionLength())
            .append("dimensionWidth", getDimensionWidth())
            .append("dimensionHeight", getDimensionHeight())
            .append("wheelBase", getWheelBase())
            .append("maxTrailerMass", getMaxTrailerMass())
            .append("fifthWheelMaxLoad", getFifthWheelMaxLoad())
            .append("engineModel", getEngineModel())
            .append("engineManufacturer", getEngineManufacturer())
            .append("kingpinSpec", getKingpinSpec())
            .append("fifthWheelGroundHeight", getFifthWheelGroundHeight())
            .append("turningRadiusBefore", getTurningRadiusBefore())
            .append("matchedSemiTrailerRadius", getMatchedSemiTrailerRadius())
            .append("rearTurningRadius", getRearTurningRadius())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
